//
//  MDViewFactory.m
//  fluttertoast
//
//  Created by 张志超 on 2019/6/24.
//

#import "MDViewFactory.h"
#import <Flutter/FlutterPlatformViews.h>
#import "MDView.h"

@interface MDViewFactory()

@property (nonatomic, strong) NSMutableDictionary *mViewDic;

@end

@implementation MDViewFactory

- (instancetype)init{
    if (self = [super init]) {
        _mViewDic = [NSMutableDictionary dictionary];
    }
    return self;
}

- (NSObject<FlutterPlatformView> *)createWithFrame:(CGRect)frame viewIdentifier:(int64_t)viewId arguments:(id)args{
    MDView *mdView = [[MDView alloc]initWithFrame:frame viewIdentifier:viewId];
    [_mViewDic setObject:mdView forKey:@(viewId)];
    return mdView;
}

- (UIView *)rendererViewForId:(int)viewId{
    MDView *view = [_mViewDic objectForKey:@(viewId)];
    return view.rendererView;
}

@end
